{
    // See https://go.microsoft.com/fwlink/?LinkId=733558
    // for the documentation about the tasks.json format
    "version": "2.0.0",
    "tasks": [
        {
            "label": "Build All Exercises",
            "type": "shell",
            "command": "rm -rf build/bin/ && mkdir -p build && cd build && cmake .. && make -j 16",
            "problemMatcher": []
        },
        {
            "label": "Run Exercise 1",
            "type": "shell",
            "command": "build/bin/./Exercise1",
            "problemMatcher": []
        },
        {
            "label": "Run Exercise 2",
            "type": "shell",
            "command": "build/bin/./Exercise2",
            "problemMatcher": []
        },
        {
            "label": "Run Exercise 3",
            "type": "shell",
            "command": "build/bin/./Exercise3",
            "problemMatcher": []
        },
        {
            "label": "Run Exercise 4",
            "type": "shell",
            "command": "build/bin/./Exercise4",
            "problemMatcher": []
        }
    ]
}